API reference
All operations
COMPANY

Creates a new rep.

POST/api/v2/companies/rep

Authentication

Choose one supported method for this request.

OAuth 2.0 client credentials

Request body

application/jsonrequired

The rep data to create.

CreateCompanyAssignedRepRequest
  • companyIdinteger · int32
  • userIdinteger · int32
  • roleIdinteger · int32
  • overrideRankIdinteger · int32
  • primaryboolean
  • zoneIdinteger · int32

Responses

Rep created successfully.

Standard response envelopeisSuccessmessageerrorsdata

Read the result from data. When isSuccess is false, errors lists what went wrong. Handling errors

databoolean
boolean